package cn.superdesk.uniorder.dao.mapper._statistics;

import cn.superdesk.uniorder.dao.entity.statistics.prayable.StPayableChargeAgainstRecordEntity;
import cn.superdesk.uniorder.dao.entity.statistics.prayable.StPayableChargeAgainstRecordEntityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StPayableChargeAgainstRecordEntityMapper {
    long countByExample(StPayableChargeAgainstRecordEntityExample example);

    int deleteByExample(StPayableChargeAgainstRecordEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StPayableChargeAgainstRecordEntity record);

    int insertSelective(StPayableChargeAgainstRecordEntity record);

    List<StPayableChargeAgainstRecordEntity> selectByExample(StPayableChargeAgainstRecordEntityExample example);

    StPayableChargeAgainstRecordEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StPayableChargeAgainstRecordEntity record, @Param("example") StPayableChargeAgainstRecordEntityExample example);

    int updateByExample(@Param("record") StPayableChargeAgainstRecordEntity record, @Param("example") StPayableChargeAgainstRecordEntityExample example);

    int updateByPrimaryKeySelective(StPayableChargeAgainstRecordEntity record);

    int updateByPrimaryKey(StPayableChargeAgainstRecordEntity record);
}